# Description

Based on [this gist](https://gist.github.com/sardemff7/759cbf956bea20d382a6128c641d2746)
and [pinentry-rofi](https://github.com/plattfot/pinentry-rofi). Thank
you, Fredrik Salomonsson, for doing all the hard work.

Simple
[pinentry](https://www.gnupg.org/related_software/pinentry/index.html)
gui using [rofi](https://github.com/davatorium/rofi).

It\'s similar in functionality as the gist and the previous script, but
on the MicroOS, where I work now, it is essential to install as
few as possible additional software, so Guile is certainly too much.

To use `pinentry-rofi` with `gpg-agent`, you can
set it as the `pinentry-program` in the
`~/.gnupg/gpg-agent.conf`. Note that you need to use the full
path to the binary.

For example for Arch Linux this would be:

``` conf
pinentry-program /usr/bin/pinentry-rofi
```

Don\'t forget to restart `gpg-agent` for the changes to take
affect:

``` shell
gpg-connect-agent reloadagent /bye
```

All issues, questions, complaints, or (even better!) patches
should be send via email to
[~mcepl/devel@lists.sr.ht](mailto:~mcepl/devel@lists.sr.ht) email
list (for patches use [git
send-email](https://git-send-email.io/)).
